side.region.precedence
Prev | Pagination and General Styles | Next

## side.region.precedence

side.region.precedence — Determines side region page layout precedence

## Synopsis

    <xsl:param name="side.region.precedence">false</xsl:param>

## Description

If optional side regions on a page are established using parameters such as `body.margin.inner`, `region.inner.extent`, etc., then this parameter determines what happens at the corners where the side regions meet the header and footer regions.

If the value of this parameter is `true`, then the side regions have precedence and extend higher and lower, while the header and footer regions are narrower and fit inside the side regions.

If the value of this parameter is `false` (the default value), then the header and footer regions have precedence and extend over and below the side regions. Any value other than `true` or `false` is taken to be `false`.

If you need to set precedence separately for individual regions, then you can set four parameters that are normally internal to the stylesheet. These four parameters are normally set based on the value from `side.region.precedence`:

    region.before.precedence
    region.after.precedence
    region.start.precedence
    region.end.precedence

See also `region.inner.extent`, `region.outer.extent`, `body.margin.inner`, `body.margin.outer`.

Prev | Up | Next
marker.section.level | Home | region.inner.properties